package dk.itu.mario.level.grammar;

import dk.itu.mario.level.matcher.LevelArchetype;
import dk.itu.mario.level.matcher.PlayerProfile;


public class LevelGrammarFactory {
	public static LevelGrammar createGrammar(PlayerProfile playerProfile, LevelArchetype archetype) {
		LevelGrammar grammar = new LevelGrammar();
		
		Variable v_S = new Variable("S");
		Variable v_level_start = new Variable("level_start");
		Variable v_level_end = new Variable("level_end");
		
		grammar.addVariable(v_S);
		grammar.addVariable(v_level_start);
		grammar.addVariable(v_level_end);
		
		grammar.addProductionRule(new ProductionRule(v_S,v_level_start,v_level_end));
		grammar.setStart(v_S);
		
		return grammar;
	}
}
